%define anolis_release 1

Name: libmbim
Version: 1.26.2
Release: %{anolis_release}%{?dist}
Summary: Support library for the Mobile Broadband Interface Model protocol
License: LGPLv2+
URL: http://freedesktop.org/software/libmbim
Source: http://freedesktop.org/software/libmbim/%{name}-%{version}.tar.xz

BuildRequires: automake autoconf libtool
BuildRequires: gcc
BuildRequires: glib2-devel >= 2.48.0
BuildRequires: gtk-doc
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: python3


%description
This package contains the libraries that make it easier to use MBIM
functionality from applications that use glib.


%package devel
Summary: Header files for adding MBIM support to applications that use glib
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: glib2-devel%{?_isa}

%description devel
This package contains the header and pkg-config files for developing
applications using MBIM functionality from applications that use glib.

%package utils
Summary: Utilities to use the MBIM protocol from the command line
Requires: %{name}%{?_isa} = %{version}-%{release}
License: GPLv2+

%description utils
This package contains the utilities that make it easier to use MBIM
functionality from the command line.


%prep
%autosetup -p1


%build
%configure --disable-static --enable-gtk-doc
%{make_build}

%install
%{make_install}
find %{buildroot}%{_datadir}/gtk-doc |xargs touch --reference configure.ac
find %{buildroot} -type f -name "*.la" -delete


%check
make check


%ldconfig_scriptlets


%files
%license COPYING.LIB
%doc NEWS AUTHORS README
%{_libdir}/libmbim-glib.so.4*

%files devel
%{_includedir}/libmbim-glib/
%{_libdir}/pkgconfig/mbim-glib.pc
%{_libdir}/libmbim-glib.so
%{_datadir}/gtk-doc/html/libmbim-glib/

%files utils
%license COPYING
%{_bindir}/mbimcli
%{_bindir}/mbim-network
%{_datadir}/bash-completion
%{_libexecdir}/mbim-proxy
%{_mandir}/man1/mbim*


%changelog
* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 1.26.2-1
- Initial version from upstream 1.26.2
